package market.Com.mapper;

import java.util.List;

import market.Com.vo.ComBasePhyCode;
import market.Com.vo.ComBasePhyRPhy;

import com.hnshituo.orm.GenericMapper;

public interface ComBasePhyRPhyMapper extends GenericMapper<ComBasePhyRPhy,Object> {
	
	/**
	 * 根据条件查询材质检验项目集合
	 * @param code
	 * @return
	 */
	List<ComBasePhyCode> doFindCode(ComBasePhyCode code);
	List<ComBasePhyCode> doFindCodeXg(ComBasePhyCode code);
	/**
	 * 页面初始化
	 * @return
	 */
List<ComBasePhyCode> doFindCbpc();

/**
	 * 查询流水号
	 
	 */
	String doFindLs();
	public List<ComBasePhyRPhy>  QuerybySqlWbPhy(String sh);
	void deleteby(ComBasePhyRPhy com);
	void deletebyKeyCode(ComBasePhyRPhy com);
}
